# TDD

In this task we will practice the **Test Driven Development** approach. You get a set of unit tests that don't pass at the moment. Your task is to implement correctly the `SampleGeometry` class methods so that the tests pass. 

For a description of the functionality of each method, see the comments in the code. 

You may find that tests for some specific test cases (e.g. negative side lengths) - add appropriate tests and implement functionality.

<div class = "hint"> Remember to remove the lines that cause the exception to be thrown. Such an exception applies in situations where the functionality is not yet implemented, while the default value returned may pass the test successfully. 
</div> 

<div class = "hint"> In addition to using You can also run individual tests from the <b>Check</b> option to check the whole exercises. Then you get a little more complete information about the test - it results from the limitations of the <i>EDUTools</i> add-on. In the margin of the code, next to the line number, there are 'play' icons next to tests, which run a single test.
</div>